
import { SignInfoVo } from "./SignInfoVo";
import { Data } from "../Data";

/**
 * 签到
 */
export class SignInfoData extends Data {
    /**
     * 签到流水ID
     */
    public logId: number;

    /**
     * 签到信息
     */
    public signInfoVO: SignInfoVo;

    public update(result: any): void {
        if (!result) {
            return;
        }
        super.update(result);
        this.logId = result.logId;
        this.signInfoVO = new SignInfoVo();
        this.signInfoVO.update(result.signInfoVO);
    }
}